System requirements

Confirm that the server where you plan to install TrueSight Smart Reporting - Platform meets these requirements.

Compatible components

Ensure that at least one of the following components is installed in your environment:

  • TrueSight Server Automation - Data Warehouse
  • TrueSight Network Automation - Data Warehouse
  • TrueSight Capacity Optimization

Your environment can have multiple components installed.

For the list of the compatible versions of the components, see Component compatibility matrix.

Operating system support

The following operating systems are supported:

Operating systemSupported version
Windows

Microsoft Windows 2019

  • Microsoft Windows 2019 Standard Edition (64-bit)
  • Microsoft Windows 2019 Datacenter Edition (64-bit)

Microsoft Windows 2016

  • Microsoft Windows 2016 Standard Edition (64-bit)
  • Microsoft Windows 2016 Datacenter Edition (64-bit)

Microsoft Windows 2012 

  • Microsoft Windows 2012 R2 Standard Edition (64-bit)  
  • Microsoft Windows 2012 R2 Datacenter Edition (64-bit)
  • Microsoft Windows 2012 Standard Edition (64-bit)  
  • Microsoft Windows 2012 Datacenter Edition (64-bit)
Linux

Red Hat Enterprise Linux versions 6.x, 7.x (64-bit), 8.0 (64-bit)

SUSE Linux Enterprise Server versions 11.x, 12.x, 15 (64-bit)
Oracle Linux version 7.x (64-bit)
CentOS Linux version 7.x (64-bit)

Repository database support

For the repository database, TrueSight Smart Reporting - Platform supports all the databases that are supported by the component. However, you can create a new schema or database for the TrueSight Smart Reporting - Platform repository.

You can create a separate schema for Oracle, and a separate database for SQL Server. The following databases are supported:

DatabaseSupported version
PostgreSQLPostgreSQL 10
Oracle

Oracle 11, 12.1, 12.2, 18c, and 19c

SQL Server

SQL Server 2012, SQL Server 2014, SQL Server 2016, SQL Server 2017

Java support

TrueSight Smart Reporting - Platform supports the following Java versions:

  • Oracle JRE or JDK version 1.8.0_181 or a later update of version 1.8.0
  • Open JRE or JDK version 11

Additionally, TrueSight Smart Reporting - Platform also supports the Java versions that the components support.

Ensure that you set the JAVA_Home environment variable.

Browser requirements

The browser resolution must be at least 1280*1024 px.

TrueSight Smart Reporting - Platform supports the following browsers:

  • Microsoft Internet Explorer (For Microsoft Windows operating system)
  • Google Chrome
  • Mozilla Firefox (For Microsoft Windows and UNIX operating system)

Note: Enable cookies

Enable cookies in the browser.

Was this page helpful? Yes No Submitting... Thank you

Comments